流光剪辑
main
  • main
  • afanti
  1. AI生图
流光剪辑
main
  • main
  • afanti
  • 默认模块
    • 一分钟,了解 流光剪辑!
    • 如何下载草稿
    • 在线预览草稿
    • 获取API Key
    • 价格表
    • 文本
      • 使用花字
      • 使用文字模版
      • 如何上传文字模板
      • add_text
      • add_subtitle
      • add_text_template
      • get_text_intro_types
      • get_text_outro_types
      • get_text_loop_anim_types
      • get_font_types
      • search_artist
    • 图片
      • get_intro_animation_types
      • get_outro_animation_types
      • get_combo_animation_types
      • add_image
    • 视频
      • add_video
    • 转场
      • get_transition_types
    • 蒙版
      • get_mask_types
    • 音频
      • get_audio_effect_types
      • add_audio
    • 关键帧
      • add_video_keyframe
    • 特效
      • get_video_character_effect_types
      • get_video_scene_effect_types
      • add_effect
    • 贴纸
      • search_sticker
      • add_sticker
    • 工作流
      • 工作流脚本技术文档
      • 工作流 AI Prompt 提示词
      • 使用工作流功能
      • execute_workflow
    • 模版/预设
      • 如何使用模版/预设功能
      • 如何上传模版
      • 快速体验预设
      • add_preset
      • presets
      • groups
    • 滤镜
      • add_filter
      • get_filter_types
    • 技能广场skills
      • 技能广场 Skills
      • 字幕
        • 识别字幕
        • 文稿匹配
        • generate_smart_subtitle
        • sta_subtitle
        • smart_subtitle_task_status
      • AI对话
        • 对话模型介绍
        • chat
        • model_list
      • 语音合成
        • 微软语音合成音色列表
        • MiniMax语音合成音色列表
        • MiniMax音色克隆
        • 豆包语音合成音色列表
        • Fish语音合成音色列表
        • Fish音色克隆
        • generate_speech
        • minimax_clone
        • fish_clone
      • AI生图
        • 图片生成聚合接口说明
        • generate_image
          POST
      • AI生视频
        • 视频生成聚合接口说明
        • ai_video_task_status
        • generate_ai_video
      • 数字人
        • create_digital_human
        • digital_human_task_status
      • 智能裁剪
        • smart_video_clip
      • 智能截图
        • smart_video_capture
      • 人物抠像
        • remove_background
      • 获取时长
        • get_duration
      • 提取音频
        • extract_audio
      • 分割视频
        • split_video
    • create_draft
      POST
    • save_draft
      POST
  1. AI生图

generate_image

POST
/cut_jianying/generate_image
图片生成聚合接口。目前支持nano_banana_2/nano_banana_pro/jimeng-4.5图片生成。可以直接添加到草稿里,支持add_image所有参数。
价格表

请求参数

Authorization
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
Header 参数

Body 参数application/json必填

示例

返回响应

🟢200成功
application/json
Body

请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://open.vectcut.com/cut_jianying/generate_image' \
--header 'Authorization: Bearer  <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "prompt": "给这个人带上红色的帽子",
    "model": "nano_banana",
    "reference_image": "https://oss-jianying-resource.oss-cn-hangzhou.aliyuncs.com/test/shuziren.jpg",
    "size": "1024x1024",
    "start": 1.0,
    "end": 5.0,
    "width": 1920,
    "height": 1080,
    "transform_x": 0.2,
    "transform_y": 0.2,
    "scale_x": 1,
    "scale_y": 1,
    "track_name": "video_main",
    "relative_index": 99,
    "intro_animation": "放大",
    "intro_animation_duration": 0.5,
    "outro_animation": "闪现",
    "outro_animation_duration": 0.5,
    "transition": "上移",
    "transition_duration": 0.5,
    "mask_type": "矩形",
    "mask_center_x": 0.5,
    "mask_center_y": 0.5,
    "mask_size": 0.7,
    "mask_rotation": 45.0,
    "mask_feather": 2,
    "mask_invert": true,
    "mask_rect_width": 8,
    "mask_round_corner": 10
}'
响应示例响应示例
{
    "error": "",
    "output": {
        "draft_id": "dfd_cat_1767887592_e94466f1",
        "draft_url": "https://www.vectcut.com/draft/downloader?draft_id=dfd_cat_1767887592_e94466f1&is_capcut=0",
        "image_url": "http://player.install-ai-guider.top/image_tmp/banana_109af960c7f9481e978fe01b53f20b08.jpg?OSSAccessKeyId=LTAI5t6GK97EdxsFqDT25U2j&Expires=1768492580&Signature=3hfidKiWv5IWSFFxDRBitoqTKJA%3D"
    },
    "purchase_link": "https://www.coze.cn/store/project/7498257920212647946?entity_id=1&bid=6g6miqtbk3009",
    "success": true
}
修改于 2026-03-08 02:43:05
上一页
图片生成聚合接口说明
下一页
视频生成聚合接口说明
Built with